#
# spec file for package scim-chewing
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           scim-chewing
Version:        0.3.6+git20150821.5df4075
Release:        3.4
Summary:        Chewing IM engine for SCIM platform
License:        GPL-2.0-or-later
Group:          System/I18n/Chinese
URL:            https://github.com/chewing/scim-chewing
Source:         %{name}-%{version}.tar.xz
Patch0:         %{name}-0.3.6-autogen.patch
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libchewing-devel
BuildRequires:  libtool
BuildRequires:  scim-devel
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Chewing IM engine for SCIM platform.

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
CXXFLAGS="%{optflags}" \
%configure \
    --disable-static \
    --enable-debug
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_scim_enginedir}/chewing.so
%{_scim_uidir}/chewing-imengine-setup.so
%{_scim_icondir}/%{name}.png
%{_scim_icondir}/%{name}-swap-colors.png

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Sun Sep 13 2015 i@marguerite.su
- update to 0.3.6+git20150821.5df4075
  * make CI build faster
  * export LIBTOOL_EXPORT_OPTIONS
- remove gconf schemas install bits
* Sat Jul 26 2014 i@marguerite.su
- update version 0.3.6git20140424
  * Fix THL and MPS2 Pinyin configurations
  * Use new APIs introduced in libchewing 0.4
- drop scim-chewing-0.3.5-bump_libchewing_version.patch
- add patch scim-chewing-0.3.6-autogen.patch
  * we don't have aclocal-1.11 on every openSUSE release
* Tue Sep 10 2013 i@marguerite.su
- fix with libchewing 0.3.5
  * add patch: scim-chewing-0.3.5-bump_libchewing_version.patch
* Wed Jan 16 2013 swyear@gmail.com
- Update to 0.3.5
- Remove scim-chewing-gtk3-abuild.patch (upstream add gtk3 support)
- Gtk+ 3.x support
- Handle translated Chi-Eng mode switch properly
- Fix incorrect color cand problem
- Support THL (Taiwan Huayu Luomapinyin) and MPS2 Pinyin keyboard
* Fri Jul  6 2012 i@marguerite.su
- fix gtk3 builds.
* Thu Jun  7 2012 swyear@gmail.com
- remove "Provides: locale(scim:zh_TW;zh_HK)"
* Mon Jun 27 2011 tiwai@suse.de
- updated to version 0.3.4: minor fixes for libchewing 0.3.3; see
  http://chewing.csie.net/news.html
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Thu Jul  2 2009 tiwai@suse.de
- updated to version 0.3.3:
  many updates; see below for details
    http://chewing.csie.net/news.html
* Thu Nov  8 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Sat Oct 28 2006 meissner@suse.de
- fixed optflags.
* Thu Oct 12 2006 mfabian@suse.de
- fix to build with scim 1.4.5.
* Thu Jul 13 2006 mfabian@suse.de
- update to 0.3.1.
  + Fix intltool build process.
  + Fix invalid memory access in scim-setup.
  + Handle unknown input key event in IME engine.
  + Support major changes in libchewing 0.3 .
  + Pure UTF-8 based, no more Big5 <-> UTF-8 converting required.
  + Add Full/Half shape property.
  + Better Chewing IM factory/instance handling.
  + UI enhancements to preedit area with colorized decorations.
  + Allow customized selection keys.
  + Add new option to assign Esc key to clean all keyboard buffer
  + or not.
* Mon May 22 2006 schwab@suse.de
- Don't strip binaries.
* Tue Feb 28 2006 mfabian@suse.de
- Bugzilla #153791: use ';' in Provides locale(...).
* Thu Feb 23 2006 mfabian@suse.de
- add "Provides: locale(scim:zh_TW,zh_HK)"
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug  9 2005 mfabian@suse.de
- update to 0.2.1.
* Thu Aug  4 2005 mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Mon Feb 28 2005 mfabian@suse.de
- update to 0.2.0
* Tue Dec 21 2004 mfabian@suse.de
- new package: scim-chewing, version 0.1.1.
